Post by franktroy » Sun Aug 18, 2019 7:10 pm

I am following all the videos on installation and setup. I am new to opencart and I loaded it on a windows machine to try it out. I am running XAMPP and MySql. The install went well and the opencart control panel loads fine. However when I try to do Sytem Edit I get the following error.
Error: Call to a member function get() on string in C:\xampp\htdocs\opencart\admin\controller\setting\setting.php on line 208

Any help is appreciated.
Thanks
Frank

Newbie

Posts

Joined
Sun Aug 18, 2019 5:32 pm

Post by letxobnav » Sun Aug 18, 2019 9:22 pm

you are running Version 3.1?

“Data security is paramount at [...], and we are committed to protecting the privacy of anyone who is associated with our [...]. We’ve made a lot of improvements and will continue to make them.”
When you know your life savings are gone.


Active Member

Posts

Joined
Fri Aug 18, 2017 4:35 pm
Location - Taiwan

Post by franktroy » Wed Aug 21, 2019 2:30 am

Well i just downloaded 3.0.3.2 and I will try again.

Newbie

Posts

Joined
Sun Aug 18, 2019 5:32 pm

Post by letxobnav » Wed Aug 21, 2019 10:30 am

is that a yes?

“Data security is paramount at [...], and we are committed to protecting the privacy of anyone who is associated with our [...]. We’ve made a lot of improvements and will continue to make them.”
When you know your life savings are gone.


Active Member

Posts

Joined
Fri Aug 18, 2017 4:35 pm
Location - Taiwan

Post by jasoncawood » Sun Sep 08, 2019 3:51 am

I'm having this same issue. My installation is new and everything seems to work other than trying to edit the store. as soon as I click on the pencil I receive the error Error: Call to a member function get() on string in ../../../public_html/admin/controller/setting/store.php on line 337

Newbie

Posts

Joined
Fri Aug 30, 2019 10:58 am

Post by xxvirusxx » Sun Sep 08, 2019 1:59 pm

You use Opencart 3.1.0.0_b ?

Active Member

Posts

Joined
Tue Jul 17, 2012 10:35 pm
Location - RO

Post by jasoncawood » Sun Sep 08, 2019 9:25 pm

Yes, i'm using version 3.1.0.0_b

Newbie

Posts

Joined
Fri Aug 30, 2019 10:58 am

Post by xxvirusxx » Sun Sep 08, 2019 10:05 pm

Don't use this version for production site.

If is for testing...here is the fix
https://github.com/opencart/opencart/issues/7542

And more
https://github.com/opencart/opencart/pull/7572/files

Active Member

Posts

Joined
Tue Jul 17, 2012 10:35 pm
Location - RO

Post by jasoncawood » Mon Sep 09, 2019 10:56 am

So, maybe I misspoke on the version I installed. I was looking at the admin page footer which shows incorrectly Version 3.1.0.0_b and I think I'm actually running 3.0.3.2

While searching for the fixes as you've supplied, I was not finding the code needed to update. When I look at the upgrade page (Admin->System->Maintenance) it shows "Success: You are using the latest version 3.0.3.2!" but the footer of each page shows "OpenCart © 2009-2019 All Rights Reserved. Version 3.1.0.0_b"

I downloaded the zip from the main page. So, I'm pretty sure I'm running 3.0.3.2 as that page suggests.

I greatly appreciate any guidance or suggestions on what to provide that will help. I apologize in advance, I'm new to the project and this is my first time using OpenCart. I was drawn to it because the demo looked so much better than all the alternatives.

Newbie

Posts

Joined
Fri Aug 30, 2019 10:58 am

Post by jasoncawood » Fri Sep 27, 2019 3:39 am

I'm not finding any resolution for this. Would you have any suggestions?
jasoncawood wrote:
Mon Sep 09, 2019 10:56 am
So, maybe I misspoke on the version I installed. I was looking at the admin page footer which shows incorrectly Version 3.1.0.0_b and I think I'm actually running 3.0.3.2

While searching for the fixes as you've supplied, I was not finding the code needed to update. When I look at the upgrade page (Admin->System->Maintenance) it shows "Success: You are using the latest version 3.0.3.2!" but the footer of each page shows "OpenCart © 2009-2019 All Rights Reserved. Version 3.1.0.0_b"

I downloaded the zip from the main page. So, I'm pretty sure I'm running 3.0.3.2 as that page suggests.

I greatly appreciate any guidance or suggestions on what to provide that will help. I apologize in advance, I'm new to the project and this is my first time using OpenCart. I was drawn to it because the demo looked so much better than all the alternatives.

Newbie

Posts

Joined
Fri Aug 30, 2019 10:58 am
Who is online

Users browsing this forum: No registered users and 6 guests